#include<iostream>
#include<string.h>
#include<conio.h>
using namespace std;
int main()
{
	const int d = 15;
	const int l = 20;
	char Asami[d][l+1], Temp[l+1];
	int i, j;
	cout << "tedade " << d << " Asami ra vared konid : " << endl;
	//daryafte asami
	for(i=0; i < d; i++)
		cin >> Asami[i];
	//morattab sazi
	for(i=d-1; i > 0; i--)
		for(j=0; j < i; j++)
			//moghayese 2 esm va jabejaee dar araye dar soorate bozorgi avvali
			if(strcmp(Asami[j], Asami[j+1]) > 0)
			{
				strcpy(Temp, Asami[j]);
				strcpy(Asami[j], Asami[j+1]);
				strcpy(Asami[j+1], Temp);
			}
	cout << endl << " Natije = " << endl;
	//namayeshe natije
	for(i=0; i < d; i++)
		cout << Asami[i] << endl;
	getch();
}

